Create Subscription Invoice
curl --request POST \
--url https://mapi.zbx.boomfi.xyz/v1/subscriptions/{subscriptionID}/invoices \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"due_date": "<string>",
"properties": {},
"title": "<string>"
}
'import requests
url = "https://mapi.zbx.boomfi.xyz/v1/subscriptions/{subscriptionID}/invoices"
payload = {
"due_date": "<string>",
"properties": {},
"title": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({due_date: '<string>', properties: {}, title: '<string>'})
};
fetch('https://mapi.zbx.boomfi.xyz/v1/subscriptions/{subscriptionID}/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"amount": "<string>",
"created_at": "<string>",
"currency": "<string>",
"customer_id": "<string>",
"due_at": "<string>",
"id": "<string>",
"issuing_at": "<string>",
"org_id": "<string>",
"properties": [
123
],
"reference": "<string>",
"updated_at": "<string>"
},
"error": true,
"message": "<string>"
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}{
"error": {
"code": 400,
"errors": [
{
"domain": "orders",
"reason": "InsufficientQuantity"
}
],
"message": "Insufficient quantity"
}
}Subscriptions
Create Subscription Invoice
Create (or return existing same-due-date) invoice for a WHMCS subscription
POST
/
subscriptions
/
{subscriptionID}
/
invoices
Create Subscription Invoice
Authorizations
Path Parameters
Unique subscription identifier (sub_... or raw UUID)
Body
application/json
Invoice request
⌘I